Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.query
Class QueryManager

    java.lang.Object
      com.bea.query.QueryManager

Deprecated Use com.autonomy.* classes instead

    public class QueryManager

extends Object

QueryManager is used to submit and return results from the query portion of the DRE. This is done using the QueryRequest and QueryResult classes.

The default constructor should be used with caution - it hard codes hostname and port values to the default for the 8.1 beta installation.

Constructor Summary
`QueryManager()` Deprecated Construct a QueryManager with some default parameters.
`QueryManager(String hostName, int aciPort, int servicePort)` Deprecated Construct a AciServer object to represent the DRE.

Method Summary
`List` | `doQuery(QueryRequest queryRequest)` Deprecated Send the query request to the DRE and parse the response.
`Vector` | `getDatabaseNames()` Deprecated Read the list of databases from the DRE's configuration and populate a Vector with them.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryManager

    public QueryManager()
                 throws Exception

  Deprecated
  Construct a QueryManager with some default parameters. These defaults are the same as WLP 8.1 shipped with. The defaults are:
  - dreHostName - "localhost"
  - dreACIPort - 9002
  - dreServicePort - 40001

  Throws
    `Exception`

### QueryManager

    public QueryManager(String hostName,
                        int aciPort,
                        int servicePort)
                 throws Exception

  Deprecated
  Construct a AciServer object to represent the DRE.

  Parameters
    `hostName` - - the host name or IP address of where the DRE is running.
    `aciPort` - - the port number that the DRE is using for queries. This is the "PORT" parameter in the DRE configuration file.
    `servicePort` - - the service port that the DRE is running on. This is the "SERVICEPORT" in the DRE configuration file.
  Throws
    `Exception`

Method Detail

### getDatabaseNames

    public Vector getDatabaseNames()

  Deprecated
  Read the list of databases from the DRE's configuration and populate a Vector with them.

  Returns
    the Vector of database names. Each element is a String.

### doQuery

    public List doQuery(QueryRequest queryRequest)

  Deprecated
  Send the query request to the DRE and parse the response. The response is a List of QueryResponses.

  Parameters
    `queryRequest` - - the query to run.
  Returns
    an List of QueryResponses
  See Also
    `QueryRequest`, `QueryResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved